## demo.webcab.chat.gui
Interface ScrollAreaListener

All Superinterfaces:
  java.util.EventListener

public interface ScrollAreaListener
extends java.util.EventListener

This is the scroll area listener interface, providing only one method, called every time the selected item in a list-like scrollarea has changed.

Author:
  WebCab Components
See Also:
  `ScrollAreaEvent`

Method Summary
`void` `selectedItemChanged(ScrollAreaEvent e)` Please implement this method so as to capture any changes occured to the selected item.

Method Detail

### selectedItemChanged

    public void selectedItemChanged(ScrollAreaEvent e)

  Please implement this method so as to capture any changes occured to the selected item. Note that any changes occured to the actual index of the selected item do not always map directly to an item selection. For example, if the user deletes an item above (less in index than) the currently selected one, the index will decrement, but the same item will remain selected, so no event will be delivered. Also, if the user chooses fit to delete the selected item from the list, the selected index shall reset to `-1` and the appropriate event will be acknowledged.